[indent=4]


/*----------------------------------------------------

  this is the MAIN program.
  here you initialize all libraries,
  build your window,
  and define the actions for the window.

  to keep the code readable, methods for the foldertree
  are placed in a seperate file, filebrowser.gs.

------------------------------------------------------*/


uses
    Gtk


//-- Global variables --

treeclass1 : treeclass
treeclass2 : treeclass
mytree1: TreeView
mytree2: TreeView

current_file : string



//-- here we may add the small actions, when buttons are clicked --
//-- for complexer actions, better use a seperate file, like the filebrowser.gs --

def on_button1_clicked(widget : Button)

    exec("gqview \"" +  current_file + "\"")

def on_button2_clicked(widget : Button)

    exec("mtpaint \"" + current_file + "\"")

def on_button3_clicked(widget : Button)

    exec("gimp \"" + current_file + "\"")


//-- main program --

init


    libglade_init(args)


    //-- create a new tree , only for the title bar to avoid it scrolls away--
    var treeclass1t = new treeclass()
    var mytree1t = treeclass1t.treeview()
    treeclass1t.column.set_title("Folders")
    get_box("vbox3").pack_start(mytree1t , false, false ,0)

    
    //-- create a new tree --
    
    treeclass1 = new treeclass()
    treeclass1.mode = "filebrowser"
    mytree1 = treeclass1.treeview()
    treeclass1.tree.set_headers_visible (false);

    
    get_scrolledwindow("scrolledwindow1").add_with_viewport(mytree1)
    get_scrolledwindow("scrolledwindow1").show_all()

    //-- assign action, when a line in the tree is clicked --
    treeclass1.tree.row_collapsed += tree1_row_collapsed  
    treeclass1.tree.row_expanded += tree1_row_expanded  
    Signal.connect_after (treeclass1.tree, "button_release_event", tree1_row_clicked, null); 
       


    //-- create a new tree , only for the title bar to avoid it scrolls away--
    var treeclass2t = new treeclass()
    var mytree2t = treeclass2t.treeview()
    treeclass2t.column.set_title("Files")
    get_box("vbox5").pack_start(mytree2t , false, false ,0)


       
    //-- create a second tree --

    treeclass2 = new treeclass()
    mytree2 = treeclass2.treeview()
    treeclass2.tree.set_headers_visible (false);
    treeclass2.set_image("text.png")

    get_scrolledwindow("scrolledwindow2").add_with_viewport(mytree2)
    get_scrolledwindow("scrolledwindow2").show_all()

    //-- assign action, when a line in the tree is clicked --
    //-- we usually can ignore collapse/expand --
    //treeclass2.tree.row_expanded += tree2_row_expanded  
    //treeclass2.tree.row_collapsed += tree2_row_collapsed
    
    Signal.connect_after (treeclass2.tree, "button_release_event", tree2_row_click, null); 
    
    //-- activate the first entry in the first tree --
    tree1_row_clicked()     
    
    get_window("window1").show_all()
    
    Gtk.main ()


